﻿if (GetLocale() == "deDE") then 

	local BZ = LFMonitor.BZ
	local BB = LFMonitor.BB
	local l = string.lower
	
-- Chat commands
	LFMonitor.CHAT_COMMANDS = {"lfmonitor", "lfmon"}

-- Whisper command
	LFMonitor.WHISPER_COMMAND = "/w"

--fonts
	LFMonitor.FONT_FRIZ = "Friz Quadrata TT"
	LFMonitor.FONT_ARIALN = "Arial Narrow"
	LFMonitor.FONT_SKURRI = "Skurri"
	LFMonitor.FONT_MORPHEUS = "Morpheus"

--timestamps
	LFMonitor.TS_12HR1 = "12h h:m"
	LFMonitor.TS_12HR2 = "12h h:m:s"
	LFMonitor.TS_12HR3 = "12h h:m am/pm"
	LFMonitor.TS_12HR4 = "12h h:m:s am/pm"
	LFMonitor.TS_24HR1 = "24h h:m"
	LFMonitor.TS_24HR2 = "24h h:m:s"

--appearance options
	LFMonitor.APPEARANCE_OPTIONS = "Anzeigeoptionen"
	LFMonitor.TIMESTAMP = "Zeitstempel"
	LFMonitor.MESSAGE_TEXT = "Nachrichten - Text"
	LFMonitor.TEXT = "Text"
	LFMonitor.WINDOW = "Fensterfarbe"
	LFMonitor.FONT = "Schriftart"
	LFMonitor.TIMESTAMP_FORMAT = "Zeitdarstellung"
	LFMonitor.CLASS_COLOUR_TEXT = "Klassenspezifische Farben verwenden"

--profession options
	LFMonitor.SET_LOOKING_FOR = "Berufe nach denen gesucht wird"
	LFMonitor.PROF = "Berufe"

--responses options
	LFMonitor.RESPONSES = "Automatische Antworten"
	LFMonitor.RESPONSES_TO_REQUESTS = "Automatische Antworten"
	LFMonitor.SET_RESPONSES = "Automatische Antworten einstellen"
	LFMonitor.WHISPER_ME = "/w me mit Angebot"
	LFMonitor.LFG_RESPONSE = "inv pls"

--general options
	LFMonitor.GENERAL_OPTIONS = "Allgemeine Einstellungen"
	LFMonitor.HIDE_IN_INSTANCES = "Verbergen in Instanzen"
	LFMonitor.HIDE_IN_COMBAT = "Verbergen im Kampf"
	LFMonitor.SHOW_IN_CITIES = "Nur in Hauptst\195\164dten anzeigen"
	LFMonitor.TRADE_CHANNEL = "Nur bei aktivem Handelschannel anzeigen"
	LFMonitor.SOUND_ON = "Sound verwenden"
	LFMonitor.LOCK = "Fenster: Position und Gr\195\182\195\159e fixieren"
	LFMonitor.CHANNELS = "\195\156berwachte Channels"

--custom search
	LFMonitor.CUSTOM_OPTIONS = "Erweitere Suche"
	LFMonitor.CUSTOM_INST = ""
	LFMonitor.CUSTOM_BASIC = "Suche nach folgenden W\195\182rtern, Phrasen"
	LFMonitor.CUSTOM_ADV = "Erweiterte Suche"
	LFMonitor.CUSTOM_WARNING = "Erweiterte Suche unterst\195\188tzt Lua - Phrasen. Siehe |cff00ff00http://www.wowwiki.com/Pattern_matching"
	LFMonitor.CUSTOM_CHANNELS = "\195\156berwachung Custom Channels"

--sounds
	LFMonitor.COINS = "M\195\188nzen"
	LFMonitor.WINDOW_TAB = "Fenster ausw\195\164hlen"
	LFMonitor.MENU_OPENING = "Men\195\188 \195\182ffnen"
	LFMonitor.MINIMAP_OPENING = "Minimap \195\182ffnen"
	LFMonitor.SPELLBOOK_OPENING = "Zauberbuch \195\182ffnen"
	LFMonitor.SPELLBOOK_CLOSING = "Zauberbuch schlie\195\159en"
	LFMonitor.TALENTS_OPENING = "Talente \195\182ffnen"
	LFMonitor.QUEST_LOG_OPENING = "Quest log \195\182ffnen"
	LFMonitor.FISHING = "fischen"
	LFMonitor.DISCOVERY = "Discovery"
	LFMonitor.APPLAUSE = "Applaus"
	LFMonitor.BEEP = "Beep"
	LFMonitor.CLICK = "Click"
	LFMonitor.DOG_BARKING = "bellen"
	LFMonitor.MOUSE_CLICK = "Maus-Click"
	LFMonitor.STAPLER = "Hefter"

--jewelcrafting
	LFMonitor.JEWELCRAFTING = "Juwelenschleifen"
	LFMonitor.jctxt = {"jc", "jcer", "jewelcrafter", "jc'er", "cutter", "jw", "jewel", "juwe", "juwelier", "juwelenschleifen"}

--enchanting
	LFMonitor.ENCHANTING = "Verzauberung"
	LFMonitor.enctxt = {"enc", "enchant", "enchanter", "chanter", "vz", "verzauberer"}

--leatherworking
	LFMonitor.LEATHERWORKING = "Lederbearbeitung"
	LFMonitor.lwtxt = {"lw", "lwer", "leatherworker","lederer","lederverarbeitung"}

--inscription
	LFMonitor.INSCRIPTION = "Inschriftenkunde"
	LFMonitor.instxt = {"ins", "inscription", "inscriptions", "inscriptioner", "inscriber", "inscripter", "inscriptor", "inschriftenkunde", "inschriftler"}

--tailoring
	LFMonitor.TAILORING = "Schneiderei"
	LFMonitor.tlrtxt = {"tlr", "tailor", "tailer", "tailoring", "schneider", "schneider"}

--blacksmithing
	LFMonitor.BLACKSMITHING = "Schmiedekunst"
	LFMonitor.bstxt = {"bs", "blacksmith", "blacksmither","schmied","schmiedekunst"}

--alchemy
	LFMonitor.ALCHEMY = "Alchemie"
	LFMonitor.alctxt = {"alc", "alchemist", "alchi", "alchemist", "flask", "transmute", "tr\195\164nke"}

--engineering
	LFMonitor.ENGINEERING = "Ingenieurskunst"
	LFMonitor.engtxt = {"eng", "engineer", "engi","ingi","ingenieur"}

--want to buy
	LFMonitor.ALL_WTB_REQUESTS = "Alle WTB (Want to buy) Anfragen"
	LFMonitor.wtbtxt = {"wtb", "want to buy","kaufe"}

--want to sell
	LFMonitor.ALL_WTS_REQUESTS = "Alle WTS (Want to sell) Anfragen"
	LFMonitor.wtstxt = {"wts", "want to sell", "selling","verkaufe","vk"}

--looking for
	LFMonitor.ALL_LFG_REQUESTS = "Alle LFG (Looking for group) Anfragen"
	LFMonitor.ALL_LF_CRAFTER_REQUESTS = "Alle LFC (Looking for crafter) Anfragen"
	LFMonitor.GENERAL_LF_REQUESTS = "Alle LF (Looking for) Anfragen"
	LFMonitor.lftxt = {"lf", "looking for", "any","lfm"}
	LFMonitor.misctxt = {"crafter", "craft"}

--looking for work
	LFMonitor.ALL_LFW_REQUESTS = "Alle LFW (Looking for work) Anfragen"
	LFMonitor.lfwtxt = {"lfw", "looking for work", "crafting", "cutting", "lf work"}

--looking for more
	LFMonitor.ALL_LFM_REQUESTS = "Alle LFM (Looking for more) Anfragen"
	LFMonitor.LFM_OPTIONS = "LFM (Looking For More) Optionen"
	LFMonitor.LFM_LIMIT = "Einschr\195\164nken auf folgende Klassen"
	LFMonitor.lfmtxt = {"lf%d*m*"} -- lf(optional digit)m - matches lfm, lf1m, lf2m etc.
	LFMonitor.lfgtxt = {"lfg", "lfg/m", "looking for group"}
	LFMonitor.IGNORE_RAID = "Ignoriere Raideinstellungen"
	
--menu
-- in all the following section %s will be replaced with the player's name
	LFMonitor.AUTOREPLY = "Automatische Antwort"
	LFMonitor.SEND_AUTO = "Automatische Antwort an %s"
	LFMonitor.IGNORE_LIST = "%s zur Ignore Liste hinzuf\195\188gen"
	LFMonitor.CLOSE_MENU = "Men\195\188 schlie\195\159en"
	LFMonitor.WHISPER = "Whisper %s"

--dialogues
	LFMonitor.CANNOT_SEND = "Kann automatische Antwort nicht senden - keine automatische Antwort definiert"
	LFMonitor.RESET_CONFIRM = "Alle Einstellungen werden zur\195\188ckgesetzt. Sicher ?"

--classes
	LFMonitor.DK_TXT = {"todesritter", "death knight", "deathknight", "dk"}
	LFMonitor.DR_TXT = {"druide", "druid", "drood","dudu"}
	LFMonitor.HU_TXT = {"j\195\164ger", "hunter", "huntard"}
	LFMonitor.MA_TXT = {"magier", "mage"}
	LFMonitor.PA_TXT = {"paladin", "pally", "pala"}
	LFMonitor.PR_TXT = {"priester"}
	LFMonitor.RO_TXT = {"schurke", "rogue", "rouge"}
	LFMonitor.SH_TXT = {"schamane", "shaman", "shammy", "shamy", "shami","schami"}
	LFMonitor.WA_TXT = {"hexenmeister", "warlock", "lock","wl","hexer"}
	LFMonitor.WR_TXT = {"krieger", "warrior", "war", "warr","warri"}
	LFMonitor.TANK_TXT = {"tank", "mt", "ot", "tanks"}
	LFMonitor.HEALER_TXT = {"healer", "healers", "heiler", "heal"}
	LFMonitor.DPS_TXT = {"dps", "dpser","dd"}
	LFMonitor.MELEE_TXT = {} -- TODO
	LFMonitor.RANGED_TXT = {} -- TODO
	LFMonitor.CC_TXT = {"crowd control", "cc"}
	LFMonitor.ALL_TXT = {} -- TODO
	
--raids
	LFMonitor.RAIDTITLE = "Set the raids to monitor"
	
	LFMonitor.RAIDS = {
		{rname = BZ["Firelands"], level = 85, patt = {"firelands", "fl"}},
		{rname = BZ["Baradin Hold"], level = 85, patt = {"baradin", "bh", l(BB["Argaloth"])}},
		{rname = BZ["Blackwing Descent"], level = 85, patt = {"blackwing", "bwd", l(BB["Magmaw"]), l(BB["Maloriak"]), l(BB["Chimaeron"]), "omnotron", l(BB["Atramedes"]), l(BB["Nefarian"])}},
		{rname = BZ["The Bastion of Twilight"], level = 85, patt = {"bastion", "halfus", "ascendant", "vallona", "therallon", l(BB["Cho'gall"]), l(BB["Sinestra"])}},
		{rname = BZ["Throne of the Four Winds"], level = 85, patt = {"throne", "tfw", "conclave", l(BB["Al'Akir"])}},
		{rname = BZ["The Eye of Eternity"], level = 80, patt = {"eoe%d*", "maly%d*", l(BB["Malygos"])}},
		{rname = BZ["Icecrown Citadel"], level = 80, patt = {"icc%d*", "marrowgar", "deathwhisper", "gunship", "saurfang", l(BB["Rotface"]), l(BB["Festergut"]), "putricide", "princes", "queen", "dreamwalker", l(BB["Sindragosa"]), "lich", "lk"}},
		{rname = BZ["Naxxramas"], level = 80, patt = {l(BZ["Naxxramas"]), "naxx%d*", l(BB["Anub'Rekhan"]), "faerlina", l(BB["Maexxna"]), "razuvious", "gothik", "horsemen", l(BB["Patchwerk"]), l(BB["Grobbulus"]), l(BB["Gluth"]), l(BB["Thaddius"]), "noth", "heigan", l(BB["Loatheb"]), l(BB["Sapphiron"]), l(BB["Kel'Thuzad"])}},
		{rname = BZ["Onyxia's Lair"], level = 80, patt = {l(BB["Onyxia"]) .. "%d*", "ony%d*"}},
		{rname = BZ["The Obsidian Sanctum"], level = 80, patt = {"os", "os3d", "sarth", l(BB["Sartharion"])}},
		{rname = BZ["The Ruby Sanctum"], level = 80, patt = {"rs%d*", l(BB["Halion"])}},
		{rname = BZ["Trial of the Crusader"], level = 80, patt = {"toc%d*", "togc%d*", "tgc%d*", "beasts", "champs", "jaraxxus", "twins", "anub"}},
		{rname = BZ["Ulduar"], level = 80, patt = {l(BZ["Ulduar"]) .. "%d*", "leviathan", "ignis", l(BB["Razorscale"]), "deconstructor", "assembly", l(BB["Kologarn"]), l(BB["Auriaya"]), l(BB["Mimiron"]), l(BB["Freya"]), l(BB["Thorim"]), l(BB["Hodir"]), "vezax", "yogg", l(BB["Yogg-Saron"]),"algalon"}},
		{rname = BZ["Vault of Archavon"], level = 80, patt = {"voa%d*", "archavon", "koralon", "emalon", "toravon"}},
		{rname = BZ["Mount Hyjal"], level = 70, patt = {l(BZ["Hyjal"]), "bmj%d*", "winterchill", "anetheron", "kaz'rogal", "azgalor", "archimonde"}},
		{rname = BZ["Black Temple"], level = 70, patt = {"temple", "bt%d*", "naj'entus", l(BB["Supremus"]), "akama", "gorefiend", "bloodboil", "reliquary", "shahraz", "illidari"}},
		{rname = BZ["Gruul's Lair"], level = 70, patt = {"gruul%d*", "gl%d*", "maulgar"}},
		{rname = BZ["Karazhan"], level = 70, patt = {l(BZ["Karazhan"]) .. "%d*", "kara%d*", "kz*d%", "attumen", "virtue", l(BB["Moroes"]), "opera", l(BB["Nightbane"]), "curator", "illhoof", "aran", l(BB["Netherspite"]), "chess", "malchezaar"}},
		{rname = BZ["Magtheridon's Lair"], level = 70, patt = {"mag%d*", l(BB["Magtheridon"]), "ml%d*"}},
		{rname = BZ["Serpentshrine Cavern"], level = 70, patt = {"serpentshrine", "ssc%d*", "hydross", "lurker", "leotheras", "karathress", "tidewalker", "vashj"}},
		{rname = BZ["Sunwell Plateau"], level = 70, patt = {"sunwell%d*", l(BB["Kalecgos"]), "sathrovarr", l(BB["Brutallus"]), l(BB["Felmyst"]), "eredar", l(BB["M'uru"]), l(BB["Entropius"]), l(BB["Kil'jaeden"])}},
		{rname = BZ["Tempest Keep"], level = 70, patt = {"tempest", "tk%d*", l(BB["Al'ar"]), "reaver", "solarian", "sunstrider"}},
		{rname = BZ["Zul'Aman"], level = 70, patt = {l(BZ["Zul'Aman"]), "za%d*", l(BB["Nalorakk"]), l(BB["Akil'zon"]), "jen'alai", l(BB["Halazzi"]), "malacrass", l(BB["Zul'jin"])}},
		{rname = BZ["Blackwing Lair"], level = 60, patt = {"blackwing%d*", "bwl%d*", "razorgore", "vaelastrasz", "lashlayer", l(BB["Firemaw"]), l(BB["Ebonroc"]), l(BB["Flamegor"]), l(BB["Chromaggus"]), l(BB["Nefarian"])}},
		{rname = BZ["Molten Core"], level = 60, patt = {"molten", "mc%d*", l(BB["Lucifron"]), l(BB["Magmadar"]), l(BB["Gehennas"]), l(BB["Garr"]), "geddon", l(BB["Shazzrah"]), "sulfuron", "golemagg", "majordomo", l(BB["Ragnaros"])}},
		{rname = BZ["Ruins of Ahn'Qiraj"], level = 60, patt = {l(BZ["Ahn'Qiraj"]), "aq", "aq20", l(BB["Kurinnaxx"]), "rajaxx", l(BB["Moam"]), "buru", "ayamiss", "ossirian"}},
		{rname = BZ["Temple of Ahn'Qiraj"], level = 60, patt = {l(BZ["Ahn'Qiraj"]), "aq", "aq40", "skeram", "sartura", "fankriss", l(BB["Viscidus"]), "huhuran", "emperors", "sandworm", l(BB["C'Thun"]), l(BB["Ouro"])}},
		{rname = BZ["Zul'Gurub"], level = 60, patt = {l(BZ["Zul'Gurub"]), "zg%d*", "jeklik", "venoxis", "mar'li", "thekal", "arlokk", "soulflayer", "mandokir", "hexxer", l(BB["Gahz'ranka"]), "madness"}},
		{rname = BZ["Upper Blackrock Spire"], level = 56, patt = {"blackrock", "ubrs%d*", "emberseer", "flamewreath", "goraluk", "jed", "gyth", "blackhand", "valthalak", "drakkisath"}}
	}
	
end

